%global momorel 5
%define ipadicversion 2.5.1

Summary: Yet Another Part-of-Speech and Morphological Analyzer
Name: mecab
Version: 0.75
Release: %{momorel}m
License: LGPL 
Group: Applications/Text
URL: http://cl.aist-nara.ac.jp/~taku-ku/software/mecab/
Source0: http://cl.aist-nara.ac.jp/~taku-ku/software/mecab/src/%{name}-%{version}.tar.gz
Source1: http://chasen.aist-nara.ac.jp/stable/ipadic/ipadic-%{ipadicversion}.tar.gz
NoSource: 0
NoSource: 1
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: %{name}-ipadic
Requires: perl >= 5.0

%description
Yet Another Part-of-Speech and Morphological Analyzer

%package ipadic
Summary: Dictionary based on ipadic for MeCab
Group: Development/Libraries
Requires: %{name}
License: "ipadic"

%package devel
Summary: Libraries and header files for MeCab
Group: Development/Libraries
Requires: %{name}

%package ruby
Summary: Ruby binding for MeCab
Group: Development/Libraries
Requires: %{name} %{name}-devel

%description ipadic
Dictionary based on ipadic for MeCab. Please read the COPYING file for
the details about the license for ipadic.

%description devel
Libraries and header files for MeCab

%description ruby
Ruby binding for MeCab

%prep
%setup -q -b 1

%build
libtoolize -c -f
aclocal
autoconf
%configure
ln -s ../../ipadic-%{ipadicversion} dic/ipadic-%{ipadicversion}
make
(
	cd ruby
	ruby extconf.rb --with-opt-include=../src --with-opt-lib=../src/.libs
	make
)

%install
%makeinstall dicdir=%{buildroot}%{_libdir}/mecab/dic/ipadic
(
	cd ruby
	%makeinstall dicdir=%{buildroot}%{_libdir}/mecab/dic/ipadic sitedir=%{buildroot}%{_libdir}/ruby
)

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig -n %{_libdir}

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING doc/
%{_libdir}/*.so.*
%{_bindir}/*
%{_mandir}/*/mecab.1*
%config %{_sysconfdir}/mecabrc

%files ipadic
%defattr(-, root, root)
%doc dic/ipadic-%{ipadicversion}/README
%doc dic/ipadic-%{ipadicversion}/AUTHORS
%doc dic/ipadic-%{ipadicversion}/COPYING
%{_libdir}/mecab/dic/*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%files ruby
%defattr(-, root, root)
%doc ruby/README ruby/test.rb
%{_libdir}/ruby/*/*/*

%changelog
* Sun Mar 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.75-5m)
- change docdir %%defattr

* Wed Oct  1 2003 zunda <zunda at freeshell.org>
- (0.75-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Aug  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.75-3m)
- rebuild against ruby-1.8

* Wed Apr 23 2003 zunda <zunda at freeshell.org>
- (0.75-2m)
- dealing with libtool-1.5 (Thanks kaz)
- the dictionary divided into subpackage due to incompatible license

* Wed Apr 23 2003 zunda <zunda at freeshell.org>
- (0.75-1m)
- specfile by Taku Kudo <taku-ku@is.aist-nara.ac.jp> copied from the tar
  ball and edited
- mecab-ruby added
